#ifndef TaskAttributesDelegate_h
#define TaskAttributesDelegate_h

// $Id: TaskAttributesDelegate.h,v 1.1 2013/02/13 10:28:57 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*******************************************************************************/

#include "Counter.h"

#include <QtGui/QAbstractItemDelegate>
#include <QtGui/QTextCursor>

// forward declaration
class TaskAttributes;

//! item delegate
class TaskAttributesDelegate : public QAbstractItemDelegate, public Counter
{

    public:

    //! constructor
    TaskAttributesDelegate( QObject* = 0 );

    //! destructor
    virtual ~TaskAttributesDelegate( void )
    {}

    //! paint
    virtual void paint( QPainter*, const QStyleOptionViewItem&, const QModelIndex& ) const;

    //! size
    virtual QSize sizeHint( const QStyleOptionViewItem &option, const QModelIndex &index ) const;

    protected:

    //! layout text
    void _layoutText( QTextCursor&, const TaskAttributes& ) const;

    //! focus
    void _drawFocus( QPainter*, const QStyleOptionViewItem&, const QRect& ) const;

    private:

    //! margin
    int margin_;

    //! icon size
    int iconSize_;

};

#endif
