
#ifndef _TaskBarFixed_h_
#define _TaskBarFixed_h_

// $Id: TaskBarFixed.h,v 1.15 2012/09/10 18:18:12 hpereira Exp $


/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

#include "TaskBarBase.h"

//! Taskbar main widget
class TaskBarFixed: public TaskBarBase
{

    public:

    //! constructor
    TaskBarFixed( QWidget *parent=0 );

    //! destructor
    virtual ~TaskBarFixed( void )
    { Debug::Throw( "TaskBarFixed::~TaskBarFixed.\n" ); }

    protected slots:

    //! update background pixmap
    virtual void _updateBackgroundPixmap( void );

    protected:

    //! resize the taskbar so that is is able to contain all buttons
    void _resize( void );

    //! place buttons in the taskbar
    void _placeButtons( void );

    //! draw buttons
    /*!
    if force is true, only buttons which are zooming are drawn
    returns true if at least one if zooming
    */
    virtual bool _drawButtons( QPaintDevice&, QRect );

};

#endif
