#ifndef _TaskListDialog_h_
#define _TaskListDialog_h_

// $Id: TaskListDialog.h,v 1.8 2012/11/22 22:25:33 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

#include "CustomDialog.h"
#include "TaskAttributes.h"

class TaskListConfiguration;

//! task information editor dialog
class TaskListDialog: public CustomDialog
{

    public:

    //! constructor
    TaskListDialog(
        QWidget* parent,
        const TaskAttributes::List& attributes = TaskAttributes::List()
        );

    //! destructor
    virtual ~TaskListDialog( void )
    {}

    //! tasklist configuration
    TaskListConfiguration& taskListConfiguration( void )
    { return *taskListConfiguration_; }

    private:

    //! current tasklist configuration
    TaskListConfiguration *taskListConfiguration_;

};

#endif
